

@media screen and (max-width: 811px) {


   /* nav bar */

   .nav-main{
    height:3rem;
   }
   .hover-links{
    font-size:1.5rem;
   }
   .nav-container{
    justify-content: center;
   }
   .nav-links-container{
    gap:2rem;
   }




    /* home section */
    .home{
        padding:6rem 0 ;
    }
    .home h1 {
        font-size: 4rem;
        font-weight: 700;
        margin-bottom: 2rem;
    }

    .home h3 {
        font-size: 1.5rem;
        font-weight: 550;

    }

    .home h4 {
        font-size: 1.2rem;
        font-weight: 300;
        ;
    }

    /* about section*/
    .about {
        padding: 4rem 0;
    }

    .about h2 {
        font-size: 3rem;
        margin-bottom: 3rem;
    }

    .image-div {
        text-align: center;
        width: 100%;
    }

    .image-div img {
        margin-left: 2rem;
        width: 18rem;
        height: 18rem;
    }

    .content-div {
        font-size: 1.5rem;
        line-height: 1.8rem;
        text-align: center;
    }

    /* skills content */

    .skills {
        padding: 4rem 0;
    }

    .skills h2 {
        font-size: 3rem;
        margin-bottom: 3rem;

    }

    .skill-box {
        height: 7rem;
        min-width: 45%;
        font-size:1.8rem;
        font-weight: 600;
    }

    .liner {
        height: 0.6rem;
    }

    /* project section */

    .projects {
        padding: 4rem 0;
    }

    .projects h2 {
        font-size: 3rem;
        margin-bottom: 3rem;

    }

    .project-box {
        height:23rem;
        width: 48%;
        margin-bottom :2rem;
        overflow: auto;
    }
    .projects h3{
        font-size: 1.4rem;
    }
    .projects p{
        font-size: 1rem;
        
    }
    .project-box-button a{
        height:2rem;
        width:4rem;
        font-size:0.8rem;

    }

    /* contact section */
        .contact {
        padding: 4rem;
    }

    .contact h2 {
        font-size: 3rem;
        margin-bottom: 3rem;

    }
    .contact p{
        font-size:1.2rem;
    }
    .logos-contact{
        margin:1rem 0;
        
    }

    .logos{
        height:3rem;
        width:3rem;

    }

    /* footer section */
    .footer p{
        font-size: 1rem;
    }
}

@media screen and (max-width: 480px) {


   /* nav bar */

   .nav-main{
    height:3rem;
   }
   .hover-links{
    font-size:1.1rem;
   }
   .nav-container{
    justify-content: center;
   }
   .nav-links-container{
    gap:1rem;
   }




    /* home section */
    .home{
        padding:3rem 0 ;
    }
    .home h1 {
        font-size: 2.5rem;
        font-weight: 600;
        margin-bottom: 2rem;
    }

    .home h3 {
        font-size: 1.2rem;
        font-weight: 400;

    }

    .home h4 {
        font-size: 1rem;
        font-weight: 300;
        ;
    }

    /* about section*/
    .about {
        padding: 2rem 0;
    }

    .about h2 {
        font-size: 2rem;
        margin-bottom: 2rem;
    }

    .image-div {
        text-align: center;
        width: 100%;
    }

    .image-div img {
        margin-left: 2rem;
        width: 12rem;
        height: 12rem;
    }

    .content-div {
        font-size: 1rem;
        line-height: 1.2rem;
        text-align: center;
    }

    /* skills content */

    .skills {
        padding: 2rem 0;
    }

    .skills h2 {
        font-size: 2rem;
        margin-bottom: 2rem;

    }

    .skill-box {
        height: 5rem;
        min-width: 45%;
        font-size:1.5rem;
        font-weight: 500;
    }

    .liner {
        height: 0.3rem;
    }

    /* project section */

    .projects {
        padding: 2rem 0;
    }

    .projects h2 {
        font-size: 2rem;
        margin-bottom: 1.5rem;

    }

    .project-box {
        height:25rem;
        width: 80%;
        margin-bottom :2rem;
        overflow: auto;
    }
    .projects h3{
        font-size: 1.2rem;
    }
    .projects p{
        font-size: 0.9rem;
        
    }
    .project-box-button a{
        height:2rem;
        width:4rem;
        font-size:0.8rem;

    }

    /* contact section */
        .contact {
        padding: 2rem 0;
    }

    .contact h2 {
        font-size: 2rem;
        margin-bottom: 1.5rem;

    }
    .contact p{
        font-size:0.9rem;
    }
    .logos-contact{
        margin:1rem 0;
        
    }

    .logos{
        height:2rem;
        width:2rem;

    }

    /* footer section */
    .footer p{
        font-size: 0.8rem;
    }
}